DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTMotionSynchronizationSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTMotionSynchronizationSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getRespiratoryMotionCompensationTechnique (OFString &value, const signed long pos=0) const
| get RespiratoryMotionCompensationTechnique (0018,9170) More...
OFCondition | getRespiratoryMotionCompensationTechniqueDescription (OFString &value, const signed long pos=0) const
| get RespiratoryMotionCompensationTechniqueDescription (0018,9185) More...
OFCondition | getRespiratorySignalSource (OFString &value, const signed long pos=0) const
| get RespiratorySignalSource (0018,9171) More...
OFCondition | getRespiratorySignalSourceID (OFString &value, const signed long pos=0) const
| get RespiratorySignalSourceID (0018,9186) More...
OFCondition | setRespiratoryMotionCompensationTechnique (const OFString &value, const OFBool check=OFTrue)
| set RespiratoryMotionCompensationTechnique (0018,9170) More...
OFCondition | setRespiratoryMotionCompensationTechniqueDescription (const OFString &value, const OFBool check=OFTrue)
| set RespiratoryMotionCompensationTechniqueDescription (0018,9185) More...
OFCondition | setRespiratorySignalSource (const OFString &value, const OFBool check=OFTrue)
| set RespiratorySignalSource (0018,9171) More...
OFCondition | setRespiratorySignalSourceID (const OFString &value, const OFBool check=OFTrue)
| set RespiratorySignalSourceID (0018,9186) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmCodeString | RespiratoryMotionCompensationTechnique
| RespiratoryMotionCompensationTechnique (0018,9170) vr=CS, vm=1, type=1.
DcmShortText | RespiratoryMotionCompensationTechniqueDescription
| RespiratoryMotionCompensationTechniqueDescription (0018,9185) vr=ST, vm=1, type=3.
DcmCodeString | RespiratorySignalSource
| RespiratorySignalSource (0018,9171) vr=CS, vm=1, type=1.
DcmShortString | RespiratorySignalSourceID
| RespiratorySignalSourceID (0018,9186) vr=SH, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTMotionSynchronizationSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTMotionSynchronizationSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getRespiratoryMotionCompensationTechnique()

OFCondition DRTMotionSynchronizationSequence::Item::getRespiratoryMotionCompensationTechnique | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RespiratoryMotionCompensationTechnique (0018,9170)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRespiratoryMotionCompensationTechniqueDescription()

OFCondition DRTMotionSynchronizationSequence::Item::getRespiratoryMotionCompensationTechniqueDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RespiratoryMotionCompensationTechniqueDescription (0018,9185)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRespiratorySignalSource()

OFCondition DRTMotionSynchronizationSequence::Item::getRespiratorySignalSource | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RespiratorySignalSource (0018,9171)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRespiratorySignalSourceID()

OFCondition DRTMotionSynchronizationSequence::Item::getRespiratorySignalSourceID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RespiratorySignalSourceID (0018,9186)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTMotionSynchronizationSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTMotionSynchronizationSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTMotionSynchronizationSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTMotionSynchronizationSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRespiratoryMotionCompensationTechnique()

OFCondition DRTMotionSynchronizationSequence::Item::setRespiratoryMotionCompensationTechnique | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RespiratoryMotionCompensationTechnique (0018,9170)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRespiratoryMotionCompensationTechniqueDescription()

OFCondition DRTMotionSynchronizationSequence::Item::setRespiratoryMotionCompensationTechniqueDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RespiratoryMotionCompensationTechniqueDescription (0018,9185)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRespiratorySignalSource()

OFCondition DRTMotionSynchronizationSequence::Item::setRespiratorySignalSource | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RespiratorySignalSource (0018,9171)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRespiratorySignalSourceID()

OFCondition DRTMotionSynchronizationSequence::Item::setRespiratorySignalSourceID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RespiratorySignalSourceID (0018,9186)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTMotionSynchronizationSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtmss.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1